﻿/* DEFAULT CONNECT STYLING */
/* ======================= */

:root {
    --colorPrimary: #2958CD;
    /*     --colorPrimary: #00549D;*/
    --colorPrimaryRGB: 0, 84, 157;
    --colorSecondary: #FFBC00;
    --colorLabel: #00549D;
    --colorCardHeaer: #2958CD;
    --colorCardFooter: #B0C4F3;
    --colorSubHeader: #AAA;
}

/* BOOTSTRAP OVERRIDE */
textarea:not(.input-noborder):focus,
textarea.form-control:not(.input-noborder):focus,
input.form-control:not(.input-noborder):focus,
input[type=text]:not(.input-noborder, .form-control-plaintext):focus,
input[type=password]:not(.input-noborder):focus,
input[type=email]:not(.input-noborder):focus,
input[type=number]:not(.input-noborder):focus,
[type=text].form-control:not(.input-noborder, .form-control-plaintext):focus,
[type=password].form-control:not(.input-noborder):focus,
[type=email].form-control:not(.input-noborder):focus,
[type=tel].form-control:not(.input-noborder):focus,
[contenteditable].form-control:not(.input-noborder):focus,
.custom-control-input:not(:disabled):not(.input-noborder):focus ~ .custom-control-label::before,
.custom-control-input:not(:disabled):not(.input-noborder):active ~ .custom-control-label::before,
.custom-select:not(.input-noborder):focus,
.btn-outline-primary.focus:not(.input-noborder),
.btn-outline-primary:not(.input-noborder):focus,
.btn-outline-primary.active:not(.input-noborder),
.btn-outline-primary:not(.input-noborder):active,
.btn-primary:not(:disabled):not(.disabled):not(.input-noborder).active:focus,
.btn-primary:not(:disabled):not(.disabled):not(.input-noborder):active:focus,
.show > .btn-primary.dropdown-toggle:not(.input-noborder):focus {
    border-color: var(--colorPrimary) !important;
    box-shadow: 0 0 0 0.2rem rgba(var(--colorPrimaryRGB),.25) !important;
}

/* checkbox */
.custom-checkbox .custom-control-input:checked ~ .custom-control-label::before {
    background-color: var(--colorPrimary);
    border-color: var(--colorPrimary);
}

.custom-checkbox .custom-control-input:disabled:checked ~ .custom-control-label::before {
    background-color: var(--colorPrimary);
    border-color: var(--colorPrimary);
}

.custom-control-input:not(:disabled):active ~ .custom-control-label::before {
    background-color: var(--colorPrimary);
}

/* Slide */
.custom-range::-webkit-slider-thumb, .custom-range::-webkit-slider-thumb:HOVER {
    background: var(--colorPrimary);
}

.custom-range::-moz-range-thumb, .custom-range::-ms-thumb:HOVER {
    background: var(--colorPrimary);
}

.custom-range::-ms-thumb, .custom-range::-ms-thumb:HOVER {
    background: var(--colorPrimary);
}

/* Buttons */
.btn-primary {
    color: white !important;
    background-color: var(--colorPrimary);
    border-color: var(--colorPrimary);
}

    .btn-primary:hover {
        background-color: var(--colorSecondary);
        border-color: var(--colorSecondary);
    }

    .btn-primary.focus, .btn-primary:focus {
        background-color: var(--colorSecondary);
        border-color: var(--colorSecondary);
        box-shadow: none;
    }

    .btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show > .btn-primary.dropdown-toggle {
        background-color: #e3d7d8;
        border-color: var(--colorSecondary);
    }

/* JQUERY AUTOCOMPLETE OVERRIDE */

.ui-state-active {
    border-color: transparent !important;
    background-color: var(--colorPrimary) !important;
}

.ui-autocomplete {
    max-height: 200px;
    overflow-y: auto;
    /* prevent horizontal scrollbar */
    overflow-x: hidden;
    /* add padding to account for vertical scrollbar */
    padding-bottom: 1px;
}

/* Main styling */
html {
    position: relative;
    min-height: 100%;
}

body {
}

a {
    color: var(--colorPrimary);
}

    a:hover {
        color: var(--colorSecondary);
        text-decoration: none;
        transition: all 0.3s;
    }

.text-muted {
    color: white !important;
}

.text-muted a {
    color: white !important;
}

    .text-muted a:hover {
        color: var(--colorSecondary) !important;
        text-decoration: none !important;
        transition: all 0.3s !important;
    }


.background {
    background: url('../img/background3m.jpg') no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    background-color: #343a40;
}

.footer {
    bottom: 0;
    width: 100%;
    color: white;
    height: 30px;
    padding-top: 4px;
    font-size: 13px;
}

.bg-dark {
    background-color: var(--colorPrimary) !important;
}

.footer-link:hover {
    color: var(--colorPrimary);
    text-decoration: none;
    transition: all 0.3s;
}

.row {
    margin-right: 0px;
}

.row-low {
    padding-bottom: 0px;
}

#main-body {
    max-width: 550px;
    min-height: 550px;
}

#main-map-wrapper {
    margin-left: 30px;
    overflow: hidden;
}

#main-banner {
    margin-top: 0px;
}

.booking-map {
    height: 100%;
}

.main-card {
    position: relative;
    margin-top: 15px;
    margin-left: 15px;
    margin-right: -15px;
    margin-bottom: 10px;
    padding-bottom: 10px;
    border: 0;
    box-shadow: 0 4px 10px 0 black;
    padding: 0;
    /* background-color: #e9ecef;*/
}

.main-card-header {
    background-color: var(--colorCardHeaer);
    color: white;
    padding-left: 25px;
    padding-right: 25px;
}

    .main-card-header > h1 {
        margin-bottom: 0 !important;
        font-weight: 200 !important;
        font-size: 1.6rem !important;
    }

.main-card-body {
    padding-bottom: 10px;
    min-height: 57vh;
    padding-left: 25px;
    padding-right: 25px;
}

.main-card-footer {
    height: 75px;
    padding-left: 25px;
    padding-right: 25px;
    background: var(--colorCardFooter);
}

    .main-card-footer .row {
        margin-left: 0px;
        margin-right: 0px;
    }

    .main-card-footer > .row > div {
        padding: 0px;
    }

    .main-card-footer > .row > .btn-group {
        padding-right: 3px;
    }

        .main-card-footer > .row > .btn-group > button {
            padding: 0px;
        }

.card-header-error {
    background-color: red;
}

.alert {
    margin: 5px 5px 0px 5px;
}

.alert-danger {
    color: white;
    background-color: #ff5362;
}

.close {
    margin-top: -3px;
}

.field-validation-error {
    font-size: small;
}

.form-control {
    border-radius: unset;
}

    .form-control:focus {
        box-shadow: 0 0 0 0.2rem rgba(0,123,255,.25);
    }

.form-control-nobg {
    background-color: transparent;
    border: 1px solid transparent;
    border: 0;
}

.datepicker {
    margin-bottom: 3rem;
}

    .datepicker td, .datepicker th {
        width: 2.4rem;
        height: 2.4rem;
        font-size: 0.85rem;
    }

.sub-header {
    border-bottom: 2px solid;
    background: var(--colorSubHeader);
    color: #FFF;
    padding: 5px 0px 5px 20px;
    margin: 10px -25px 5px -25px;
    font-weight: 400;
}

    .sub-header:first-of-type {
        margin-top: -15px;
    }

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.loader {
    margin-top: 10px;
    border: 3px solid #f3f3f3;
    -webkit-animation: spin 1s linear infinite;
    animation: spin 1s linear infinite;
    border-top: 3px solid #555;
    border-radius: 50%;
    width: 20px;
    height: 20px;
}

.loader-big {
    width: 50px;
    height: 50px;
    margin: auto;
    margin-top: 20px;
}

/* Screen controls */

.relative {
    position: relative;
}

.tc-label {
    font-weight: 400;
}

.tc-icon-container {
    height: calc(1.5em + 1rem);
    position: absolute;
    right: 6px;
    display: table;
    pointer-events: none
}

span.tc-icon-container ~ input.form-control.is-invalid {
    padding-right: calc(1.5em + .75rem + 10px);
    background-position: right calc(.375em + .1875rem + 10px) center;
}

.tc-icon {
    vertical-align: middle;
    display: table-cell;
}

.user-address-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    /*border: 1px solid red;*/
    position: absolute;
    right: 0;
    top: 0;
    height: 100%;
    width: 30px;
}

.fa.user-address-icon {
    position: absolute;
    top: 50%;
    right: 3px;
    transform: translateY(-50%);
}

.fa.fa-star.user-address-icon {
    color: #ffa500;
}
.fa.fa-home.user-address-icon {
    color: #006fa7;
}
.fa.user-address-icon.clickable:hover {
    text-shadow: 0px 0px 3px white;
}

button.is-invalid-append {
    border-color: #dc3545;
}

input.input-noborder {
    padding-left: 0px;
}

.input-noborder {
    border-top-width: 0;
    border-left-width: 0;
    border-right-width: 0;
    border-bottom-width: 1px;
    border-bottom-color: var(--colorPrimary);
    border-radius: 0;
}

    .input-noborder:focus {
        box-shadow: none;
        border-bottom-width: 2px;
        border-bottom-color: var(--colorPrimary) !important;
    }

        .input-noborder:focus + div > button {
            border-bottom-width: 2px;
        }

    .input-noborder.is-invalid:focus {
        border-color: #dc3545;
        box-shadow: none;
    }

.card-button {
    font-size: 1rem;
    border-radius: unset;
}

button.card-button > .loader {
    width: 30px;
    height: 30px;
    display: inline-block;
}

.tc-delegate-list li {
    border-right: 0;
    padding: 0;
    min-height: 64px;
}

    .tc-delegate-list li form {
        height: 100%;
    }

.tc-delegate-form {
    width: 100%;
    position: relative;
}

.tc-delegate-text {
    padding: .75rem 1.25rem;
}

.tc-delegate-mail {
    flex-grow: 1;
    display: inline;
}

    .tc-delegate-mail .form-group {
        margin-bottom: 0;
    }

.tc-delegate-button {
    padding: .75rem 1.25rem;
    border-radius: 0;
    height: 100%;
    min-width: 64px;
    font-size: 1.3rem;
}

.btn-outline-primary.tc-delegate-button {
    color: var(--colorPrimary);
    border-color: var(--colorPrimary) !important;
}

    .btn-outline-primary.tc-delegate-button:hover,
    .btn-outline-primary.tc-delegate-button:focus,
    .btn-outline-primary.tc-delegate-button:active {
        color: #FFF !important;
        background: var(--colorPrimary) !important;
    }

.tc-sort-button {
    padding: .75rem 1.25rem;
    border-radius: 0;
    font-size: 1rem;
    margin-bottom: 1rem;
    min-width: 64px;
}

.btn-outline-primary.tc-sort-button {
    color: var(--colorPrimary) !important;
    border-color: var(--colorPrimary) !important;
}

    .btn-outline-primary.tc-sort-button:hover,
    .btn-outline-primary.tc-sort-button:active {
        color: #FFF !important;
        background: var(--colorPrimary) !important;
    }

    .btn-outline-primary.tc-sort-button:focus {
        color: var(--colorPrimary);
        background: #FFF;
    }

.tc-delegate-list li:first-of-type .tc-delegate-button {
    border-top-right-radius: .25rem;
}

.tc-delegate-list li:last-of-type .tc-delegate-button {
    border-bottom-right-radius: .25rem;
    border-bottom-width: 1px;
}

@-webkit-keyframes fadeInCheckbox {
    from {
        opacity: 0;
        -webkit-transform: rotateZ(-20deg);
    }

    to {
        opacity: 1;
        -webkit-transform: rotateZ(0deg);
    }
}

@keyframes fadeInCheckbox {
    from {
        opacity: 0;
        transform: rotateZ(-20deg);
    }

    to {
        opacity: 1;
        transform: rotateZ(0deg);
    }
}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {

    .main-card-header > h1 {
        font-size: 2rem !important;
    }

    .main-card-body {
        min-height: 60vh;
    }

    .sub-header {
        margin-bottom: 10px;
    }

    .card-button {
        font-size: 1.25rem;
    }

    .row-low {
        padding-bottom: calc(.375rem + 1px);
    }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
}

/* Large devices (desktops, 992px and up)*/
@media (min-width: 992px) {
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
}
